Skip to main content
GET
Get vendor security incident alert by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

alertId
string
required

The organization's alert ID, not the canonical incident ID.

Response

200 - application/json

Ok

id
string
required

Organization-specific alert ID.

resolutionState
enum<string>
required
Available options:
OPEN,
RESOLVED
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
affectedVendorIds
string[]
required
status
enum<string>
required
Available options:
POTENTIAL,
CONFIRMED,
SUSPECTED
title
string
required
rootCause
enum<string>
required
Available options:
UNSPECIFIED,
PHISHING,
COMPROMISED_CREDENTIALS,
VENDOR_PARTNER_COMPROMISE,
ZERO_DAY_VULNERABILITY,
KNOWN_VULNERABILITY,
MISCONFIGURATION,
INSIDER_THREAT,
DDOS_ATTACK,
PHYSICAL_ACCESS,
PUBLICLY_EXPOSED_SENSITIVE_INTERFACE,
NOT_DISCLOSED
threatActor
object
required
evidence
object[]
required
impact
object
required
timeline
object[]
required